Subject: [bug#34371] [PATCH] gnu: emacs: Add modules support.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 18 Feb 2019 23:58:11 +0100

Ludovic Courtès <[email-masked]> writes:

> Hello Pierre-Antoine,
>
> Pierre-Antoine Rouby <[email-masked]> skribis:
>
>> * gnu/packages/emacs.scm (emacs): Add modules support in configure-flags.
>> ---
>>  gnu/packages/emacs.scm | 1 +
>>  1 file changed, 1 insertion(+)
>>
>> diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
>> index 7e8dcadf9..40d280f3e 100644
>> --- a/gnu/packages/emacs.scm
>> +++ b/gnu/packages/emacs.scm
>> @@ -115,6 +115,7 @@
>>      (build-system glib-or-gtk-build-system)
>>      (arguments
>>       `(#:tests? #f  ; no check target
>> +       #:configure-flags (list "--with-modules")
>
> What effect does it have?  (I guess I’m a noob!)
>
> If the Emacsfolks among us are fine with it, then so be it!

This allows one to build and load native C modules.  It’s a heavy-weight
extension mechanism (that one could use to extend Emacs with Guile
support, for example).

I don’t object to this change.

-- 
Ricardo